The Makers of FDR®

August 22, 2006

INNOVATION DATA PROCESSING ANNOUNCEMENTS IMPORTANT TECHNICAL BULLETIN

WARNING FOR ALL FDRCPK CUSTOMERS RUNNING z/OS 1.6
A serious problem has been discovered that affects FASTCPK customers running V 5.4 level 50 or above under z/OS 1.6, if they install IBM FMID JBB77S9, which is the support for System z Integrated Information Processors (zIIPs). This system level may be known as z/OS 1.6.1. The problem is especially severe for customers running FASTCPK V 5.4 levels 50 to 53.

For V 5.4 levels 50 to 53, any VSAM component that is moved by FASTCPK may become unusable. FASTCPK will issue error message CPK583E REASON=6, indicating a problem with the VVDS, yet FASTCPK will move the VSAM components without updating the extents in their VVRs due to the IBM FMID. There is no way to recover from this error except to restore the clusters from backup!

The problem is that the IBM change incorrectly marked the CVT as z/OS 1.7, causing FASTCPK to use MVS control block layouts for z/OS 1.7 instead of z/OS 1.6.

The problem is described by IBM HIPER APAR OA17458. The fix for this APAR is PTF UA28419. If you have installed FMID JBB77S9 on z/OS 1.6, please obtain and install the fix for APAR OA17458 as soon as possible.

For V 5.4 level 55 and above, if FMID JBB77S9 is installed on z/OS 1.6, FASTCPK will detect the inconsistency in system levels, and will treat VSAM data sets as unmovable. This will prevent FASTCPK from damaging the VSAM clusters, but will severely limit its ability to COMPAKT the volume.

The following ZAP P-54.5077 for V 5.4 levels 50 to 53 will cause FASTCPK to act as in level 55 and above, i.e. to treat VSAM data sets as unmovable when the inconsistency in system levels is detected. All customers running these levels should install this ZAP, to avoid possible future problems.

Levels prior to V 5.4/50 are not affected by this problem because they do not contain support for z/OS 1.7 control block layouts (V 5.4/50 is the minimum level supported on z/OS 1.7).

*****    ZAP-ID#   : P-54.5077
*        DATE      : 06.233
*        PREREQ    : V 5.4/50 -/53
*        STATUS    : NOT APPLIED
*        AUTHOR    : AJM
*        SYMPTOMS  : FDRCPK:FDRCPK:MSG CPK583E REASON=6 RUNNING FASTCPK
*                    ON Z/OS 1.6.1 WITH JBB77S9 FUNCTION.  FMID JBB77S9
*                    IS THE SUPPORT FOR SYSTEM Z INTEGRATED INFORMATION
*                    PROCESSORS (ZIIPS).
*        PROBLEM   : IBM MARKED THE CVT LEVEL FOR Z/OS 1.6.1 AS 1.7.
*                    CPK CHECKS FOR 1.7 FOR CHANGES TO THE VDSAB.
*                    1.6.1 DOES NOT HAVE THESE CHANGES.  AS A RESULT,
*                    COMPAKTOR DOES NOT PROPERLY UPDATE THE VVR FOR
*                    VSAM FILES.
*        WARNING   : ALL VSAM FILES THAT ARE MOVED UNDER THIS CONDITION
*                    WILL BE CORRUPTED.
*        SOLUTION  : THIS ZAP WILL MAKE VSAM FILES UNMOVABLE UNTIL THE
*                    CUSTOMER APPLIES THE FIX FOR HIPER APAR OA17458.
*        MODULE(S) : FDRCPK
*-
   NAME  FDRCPK  FDRCPK
   IDRDATA P545077
   VER  1C4C  BC4C,BC4E
   VER  3DC0  4530,CEB0
   REP  1C4C  4530,CEB0,47F0,781A
   REP  3DC0  47F0,BC4C
   CHECKSUM  C8D34FE8
*
*****    END OF MODIFICATION